Limerence
Dashboards

List Dashboards

List the authenticated user's own dashboards. Supports optional spaceId filter.

GET
/dashboards

List the authenticated user's own dashboards. Supports optional spaceId filter.

Authorization

X-API-Key<token>

Use X-API-Key: .

In: header

Query Parameters

spaceId?string

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/dashboards"
[  {    "archivedAt": null,    "createdAt": "string",    "createdByUserId": "string",    "description": null,    "id": "string",    "name": "string",    "sources": [      {        "createdAt": "string",        "dashboardId": "string",        "dataSourceId": "string",        "dataSourceName": "string",        "unavailableAt": null,        "updatedAt": "string"      }    ],    "space": {      "id": "string",      "name": "string"    },    "spaceId": "string",    "updatedAt": "string"  }]
{  "cause": {    "code": "api/invalid-json",    "detail": "string"  },  "message": "The request body is not valid JSON"}
{  "cause": {    "code": "auth/jwt-invalid",    "detail": "malformed"  },  "message": "Token verification failed"}
{  "cause": {    "code": "api/no-active-team",    "detail": "You must have an active team. Please select a team to continue."  },  "message": "No active team"}
{  "cause": {    "code": "api/unsupported-media-type",    "detail": "GET requests cannot have a content type header"  },  "message": "Unsupported Media Type"}